IKEv1 vs IKEv2 முன்பே பங்கிடப்பட்ட விசையுடன்: அங்கீகாரத்தில் என்ன வேறுபாடு
இரு பதிப்புகளும் விசையை அனுப்பாமல் அதன் அறிவை நிரூபிக்கின்றன, ஆனால் வெவ்வேறு ஹாஷ்களுக்கு வெவ்வேறு உள்ளீடுகளை இடுகின்றன. இரு தடங்களை ஒப்பிடுங்கள்.
ஒரே முன்பே பங்கிடப்பட்ட விசையுடன் அமைக்கப்பட்ட இரு நுழைவாயில்கள் கைக்குலுக்கலை முடிக்கின்றன, மற்றும் பாக்கெட் பதிவு கம்பி வழியே கடக்கும் எந்த ரகசியத்தையும் காட்டவில்லை. மக்கள் நினைவில் வைத்திருப்பது அந்தப் பகுதியே. சுவாரஸ்யமான பகுதி என்னவென்றால், ரகசியம் தெரியும் என்பதை நிரூபிக்க ஒவ்வொரு பதிப்பும் உண்மையில் என்ன கணக்கிடுகிறது என்பது, ஏனெனில் IKEv1 மற்றும் IKEv2 அந்தச் சான்றை வெவ்வேறு உள்ளீடுகளிலிருந்து கட்டுகின்றன, அதைச் செய்யும்போது வெவ்வேறு தகவல்களை வெளிப்படுத்துகின்றன. இரு தடங்களையும் பக்கத்திற்குப் பக்கம் படியுங்கள், வேறுபாடு மேலோட்டமானதாக இருப்பது நிற்கும்.
சான்று எதை அடைய வேண்டும்
Diffie-Hellman இரு தரப்புக்கும் ஒரு பங்கிடப்பட்ட மதிப்பைத் தருகிறது, அதன் பொதுப் பாதிகளைக் கவனிக்கும் யாரும் கணக்கிட முடியும். அது தானாகவே அடையாளத்தைப் பற்றி எதையும் நிரூபிக்கவில்லை: விசைப் பரிமாற்றத்தை முடிக்கும் தாக்குபவருக்கு உங்கள் நுழைவாயிலின் அதே பங்கிடப்பட்ட மதிப்பு உள்ளது. அங்கீகாரப் படி அந்தப் பரிமாற்றத்தை நோக்கமிடப்பட்ட தரப்புகளிடம் மட்டுமே உள்ள ரகசியத்துடனும், அவர்கள் ஒப்புக்கொண்ட அடையாளங்கள் மற்றும் அளவுருக்களுடனும் பிணைக்க உள்ளது.
இந்தப் பிணைப்பே ஹாஷ் விசையை விட அதிகத்தை உள்ளடக்குவதற்கான காரணம். அது ரகசியத்தை மட்டும் உள்ளடக்கியிருந்தால், தாக்குபவர் அதை வேறு அடையாளங்கள் அல்லது முன்மொழிவுகள் கொண்ட மற்றொரு பரிமாற்றத்தில் மீண்டும் இயக்கியிருக்கலாம்.
IKEv1 Main Mode: SKEYID பெற்று, பிறகு நிரூபிக்கவும்
Main Mode ஆறு செய்திகளை இயக்குகிறது. முதல் இணை பாதுகாப்பு இணைப்பைப் பேச்சுவார்த்தை செய்கிறது, இரண்டாவது Diffie-Hellman பொது மதிப்புகளையும் nonce-களையும் பரிமாறுகிறது, மூன்றாவது இப்போது நிறுவப்பட்ட மறையாக்கத்தின் கீழ் அடையாளங்களையும் அங்கீகார ஹாஷ்களையும் எடுத்துச் செல்கிறது. RFC 2409 கட்டமைப்பை வரையறுக்கிறது: முன்பே பங்கிடப்பட்ட விசை அங்கீகாரத்தில் SKEYID ரகசியத்திலிருந்தும் இரு nonce-களிலிருந்தும் பெறப்படுகிறது, பிந்தைய விசைப் பொருள் SKEYID, Diffie-Hellman பங்கிடப்பட்ட மதிப்பு, குக்கிகள் மற்றும் மாறிலிகளிலிருந்து.
ஐந்தாவது மற்றும் ஆறாவது செய்திகளில் உள்ள ஹாஷ் Diffie-Hellman மதிப்பு, இரு குக்கிகள், முன்மொழிவு மற்றும் அனுப்புனரின் அடையாளம் மீது SKEYID-ஐ விசையாகக் கொண்டு கணக்கிடப்படுகிறது. பெறுநர் அதைத் தனது அமைக்கப்பட்ட ரகசியத்தால் மீண்டும் கணக்கிடுகிறார். பொருந்தாமை பரிமாற்றத்தை முடிக்கிறது, ரகசியம் தானே ஒருபோதும் பேலோடாகாது.
Aggressive Mode அதே வேலையை மூன்று செய்திகளாகச் சுருக்குகிறது, அதாவது மறையாக்கப்பட்ட தடம் இருப்பதற்கு முன்பே அடையாளங்களும் அங்கீகார ஹாஷும் பயணிக்கின்றன. ஊகிக்கக்கூடிய ரகசியத்திற்கு இது உண்மையான வெளிப்பாடு, ரகசியம் அனுப்பப்பட்டதா என்ற கேள்வியிலிருந்து இது தனி. IKEv1 RFC 9395-ஆல் காலாவதியாக்கப்பட்டது, எனவே பழைய தடம் ஒரு கண்டறியும் பயிற்சி, வரிசைப்படுத்தல் இலக்கு அல்ல.
IKEv2: வேறு வழித்தோன்றல் மற்றும் வேறு AUTH பேலோட்
IKEv2 IKEv1-இன் விசை அட்டவணையை மீண்டும் பயன்படுத்துவதில்லை. ஆரம்ப IKE விசைகள் nonce-களிலிருந்தும் Diffie-Hellman பங்கிடப்பட்ட மதிப்பிலிருந்தும் கட்டப்பட்ட விதையிலிருந்து வருகின்றன, குழந்தை பாதுகாப்பு இணைப்புகள் அதிலிருந்து வழித்தோன்றுகின்றன. முன்பே பங்கிடப்பட்ட விசை விதையை எதுவும் ஊட்டுவதில்லை.
பிறகு அங்கீகாரம் AUTH பேலோடாகத் தோன்றுகிறது. பங்கிடப்பட்ட விசை அங்கீகாரத்திற்கு RFC 7296 ரகசியத்தின் திணிக்கப்பட்ட வடிவத்தைக் குறிப்பிடுகிறது, அது ரகசியத்தை நிலையான சரத்துடன் ஹாஷ் செய்வதன் மூலம் பெறப்படுகிறது Key Pad for IKEv2, பிறகு கையொப்பமிடப்பட்ட பரிமாற்றத் தரவும் அடையாளமும் அந்தத் திணிக்கப்பட்ட விசையால் ஹாஷ் செய்யப்படுகின்றன. சரிபார்ப்பவர் அதே மதிப்பை மீண்டும் கட்டமைக்க முடியும்; பார்ப்பவர் ரகசியம் இல்லாமல் முடியாது.
என்ன மாறியது என்பதைக் கவனியுங்கள். IKEv1-இல் அங்கீகார ஹாஷ் இருப்பதற்கு முன்பே ரகசியம் விசை அட்டவணையில் பதிக்கப்பட்டுள்ளது; IKEv2-இல் விசை அட்டவணை ரகசியத்திலிருந்து சுயாதீனமானது, சான்று கையொப்பமிடப்பட்ட ஆக்டெட்டுகளுடன் பிணைந்த தனி பேலோட். அதே கருத்துரீதியான உத்தரவாதம், வேறு இயந்திரம், அதனால்தான் அளவுருப் பெயர்களும் பதிவுகளும் ஒன்றுக்கொன்று பொருந்துவதில்லை.
பார்ப்பவர் உண்மையில் என்ன கற்பார்
Diffie-Hellman பொது மதிப்புகள், முன்மொழிவுகள், nonce-கள் மற்றும் குக்கிகள் இரு பதிப்புகளிலும் தெரிகின்றன. அடையாளங்கள் IKEv1 Aggressive Mode-இல் தெரிகின்றன, மற்ற நிலைகளில் பாதுகாக்கப்படுகின்றன. ரகசியம் ஒருபோதும் தெரிவதில்லை.
அந்தக் கடைசி வாக்கியத்திற்குச் சொல்ல வேண்டிய ஒரு எல்லை உண்டு. பலவீனமான, மனிதனால் தேர்ந்தெடுக்கப்பட்ட ரகசியத்தை ஊகத்தால் தாக்கலாம்: தாக்குபவர் ஒரு வேட்பாளர் ரகசியத்திற்கு அங்கீகார மதிப்பு என்னவாக இருக்கும் எனக் கணக்கிட்டு ஒப்பிடுகிறார். IKEv1 Aggressive Mode இதை மிக மலிவானதாக்குகிறது, ஏனெனில் சான்று வெளிப்படையானது, தரநிலைகள் பொதுவாகக் குறைந்த எண்ட்ரோபி ரகசியங்களைப் பற்றி எச்சரிக்கின்றன. ரகசியத்தை ஒருபோதும் அனுப்பாமை மோசமான ரகசியத்தைப் பாதுகாப்பாக்குவதற்குச் சமமல்ல.
இந்த ஒப்பீட்டை என்ன செய்வது
ஒவ்வொரு தரப்பு இணைக்கும் ஒரு தனித்துவமான ரகசியத்தைப் பயன்படுத்துங்கள், அதை எழுந்தமான மூலத்திலிருந்து உருவாக்குங்கள், அதை விநியோகித்த அதே வழங்கல் பாதையில் சுழற்றுங்கள். ரகசியம் ஒவ்வொரு கிளைக்கும் அனுப்பப்படும் உள்ளமைவு வார்ப்புருவில் இருந்தால், ஒரு இடத்தில் ஏற்படும் மீறல் எல்லா இடங்களிலும் மீறல்.
இயக்கச் செலவு ஏற்கத்தக்க இடத்தில் சான்றிதழ் அடிப்படையிலான அங்கீகாரத்தை விரும்புங்கள், ஏனெனில் அது பங்கிடப்பட்ட ரகசியத்தின் ஊகப் பிரச்சினையை நீக்கி ஒவ்வொரு தரப்பிற்கும் தனி அடையாளத்தைத் தருகிறது. முன்பே பங்கிடப்பட்ட விசை நீடிக்கும் இடத்தில் அதை நீளமாக வைத்திருங்கள், எல்லையைக் குறைத்து, IKE பதிப்பை ஒருவருக்கொருவர் இயங்கும் விவரமாக அல்ல, பாதுகாப்பு முடிவாகக் கருதுங்கள்.